Subject: Re: linux-next: import of usb series failed

From: Greg KH <[email-masked]>
Date: Tue, 23 Feb 2010 18:16:24 -0800

On Sat, Feb 20, 2010 at 12:02:07PM +1100, Stephen Rothwell wrote:
> So, since the ".current" series are all empty, I am importing the
> driver-core, tty and then usb series on top of v2.6.33-rc8.  I have just
> done this again manually and the failure still happens (I have not
> refetched your quilt series since yesterday.
> 
> At this point, the file drivers/usb/serial/ftdi_sio_ids.h from line 185
> looks like this:
> 
> #define FTDI_ELV_PCD200_PID	0xF06C	/* PC-Datenlogger (PCD 200) */
> #define FTDI_ELV_ULA200_PID	0xF06D	/* USB-LCD-Ansteuerung (ULA 200) */
> #define FTDI_ELV_ALC8500_PID	0xF06E	/* ALC 8500 Expert */
> #define FTDI_ELV_FHZ1000PC_PID	0xF06F	/* FHZ 1000 PC */
> #define FTDI_ELV_UR100_PID	0xFB58	/* USB-RS232-Umsetzer (UR 100) */
> #define FTDI_ELV_UM100_PID	0xFB5A	/* USB-Modul UM 100 */
> 
> The patch hunk looks like this:
> 
> @@ -185,7 +185,7 @@
>  #define FTDI_ELV_TFD128_PID	0xE0EC	/* ELV Temperatur-Feuchte-Datenlogger TFD 128 */
>  #define FTDI_ELV_FM3RX_PID	0xE0ED	/* ELV Messwertuebertragung FM3 RX */
>  #define FTDI_ELV_WS777_PID	0xE0EE	/* Conrad WS 777 */
> -#define FTDI_ELV_EM1010PC_PID	0xE0EF	/* Engery monitor EM 1010 PC */
> +#define FTDI_ELV_EM1010PC_PID	0xE0EF	/* Energy monitor EM 1010 PC */
>  #define FTDI_ELV_CSI8_PID	0xE0F0	/* Computer-Schalt-Interface (CSI 8) */
>  #define FTDI_ELV_EM1000DL_PID	0xE0F1	/* PC-Datenlogger fuer Energiemonitor (EM 1000 DL) */
>  #define FTDI_ELV_PCK100_PID	0xE0F2	/* PC-Kabeltester (PCK 100) */
> 
> Between v2.6.33-rc8 and the head if Linus' tree thee are two patches that
> change this file.  So I guess the BASE in the driver-core.current series
> files needs updating.

Yes, that seems to be the problem here.

I have been doing the BASE tag as a -rc level tag (or rc-gitX tag), can
I use a SHA1 of Linus's tree to base this against instead?  Would that
work ok with your scripts?

thanks for figureing this out, sorry for the trouble, this was my fault.

greg k-h